@echo off
chrset
set NETHACKOPTIONS=name:Fred-T
if not exist fred.sav goto restore
goto run
:restore
if not exist sav\fred.sav goto run
Echo Restoring Character File...
copy sav\fred.sav > nul
:run
nethack %1 %2 %3 %4 %5 %6 %7 %8 %9
pause
mode co80
if exist fred.sav goto backup
goto end
:backup
Echo Backing Up Character File
copy fred.sav sav > nul
:end
set NETHACKOPTIONS=
